Submitted By:            Armin K. <krejzi at email dot com>
Date:                    2014-06-14
Initial Package Version: 211
Upstream Status:         Not applicable
Origin:                  Self
Description:             Make it install compat pkg-config files without
                         building compat-libs which are useless on LFS.

diff -Naur a/Makefile.am b/Makefile.am
--- a/Makefile.am	2014-06-11 15:11:36.351386287 +0200
+++ b/Makefile.am	2014-06-12 13:43:08.057314411 +0200
@@ -2242,7 +2242,11 @@
 UNINSTALL_EXEC_HOOKS += libsystemd-uninstall-hook
 
 pkgconfiglib_DATA += \
-	src/libsystemd/libsystemd.pc
+	src/libsystemd/libsystemd.pc \
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc
 
 pkginclude_HEADERS += \
 	src/systemd/sd-login.h \
@@ -4831,12 +4835,6 @@
 	libsystemd-id128.la \
 	libsystemd-daemon.la
 
-pkgconfiglib_DATA += \
-	src/compat-libs/libsystemd-journal.pc \
-	src/compat-libs/libsystemd-login.pc \
-	src/compat-libs/libsystemd-id128.pc \
-	src/compat-libs/libsystemd-daemon.pc
-
 # move lib from $(libdir) to $(rootlibdir) and update devel link, if needed
 compat-lib-install-hook:
 	libname=libsystemd-login.so && $(move-to-rootlibdir)
diff -Naur a/Makefile.in b/Makefile.in
--- a/Makefile.in	2014-06-11 15:12:10.020531774 +0200
+++ b/Makefile.in	2014-06-12 13:43:08.061314488 +0200
@@ -1164,21 +1164,18 @@
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-id128.la \
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-daemon.la
 
-@ENABLE_COMPAT_LIBS_TRUE@am__append_254 = \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-journal.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-login.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-id128.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-daemon.pc
-
-@ENABLE_COMPAT_LIBS_TRUE@am__append_255 = compat-lib-install-hook
-@ENABLE_COMPAT_LIBS_TRUE@am__append_256 = compat-lib-uninstall-hook
-@ENABLE_MANPAGES_TRUE@am__append_257 = \
+@ENABLE_COMPAT_LIBS_TRUE@am__append_254 = compat-lib-install-hook
+@ENABLE_COMPAT_LIBS_TRUE@am__append_255 = compat-lib-uninstall-hook
+@ENABLE_MANPAGES_TRUE@am__append_256 = \
 @ENABLE_MANPAGES_TRUE@	man/custom-entities.ent
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_258 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_257 = \
 @HAVE_SYSV_COMPAT_TRUE@	docs/sysvinit/README \
 @HAVE_SYSV_COMPAT_TRUE@	docs/var-log/README
 
+@HAVE_SYSV_COMPAT_TRUE@am__append_258 = \
+@HAVE_SYSV_COMPAT_TRUE@	systemd-update-utmp-runlevel.service
+
 @HAVE_SYSV_COMPAT_TRUE@am__append_259 = \
 @HAVE_SYSV_COMPAT_TRUE@	systemd-update-utmp-runlevel.service
 
@@ -1192,9 +1189,6 @@
 @HAVE_SYSV_COMPAT_TRUE@	systemd-update-utmp-runlevel.service
 
 @HAVE_SYSV_COMPAT_TRUE@am__append_263 = \
-@HAVE_SYSV_COMPAT_TRUE@	systemd-update-utmp-runlevel.service
-
-@HAVE_SYSV_COMPAT_TRUE@am__append_264 = \
 @HAVE_SYSV_COMPAT_TRUE@	poweroff.target runlevel0.target \
 @HAVE_SYSV_COMPAT_TRUE@	rescue.target runlevel1.target \
 @HAVE_SYSV_COMPAT_TRUE@	multi-user.target runlevel2.target \
@@ -1203,22 +1197,22 @@
 @HAVE_SYSV_COMPAT_TRUE@	graphical.target runlevel5.target \
 @HAVE_SYSV_COMPAT_TRUE@	reboot.target runlevel6.target
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_265 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_264 = \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel1.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel2.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel3.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel4.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel5.target.wants
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_266 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_265 = \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvinit-path=$$dc_install_base/$(sysvinitdir) \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvrcnd-path=$$dc_install_base/$(sysvrcnddir)
 
-@HAVE_SYSV_COMPAT_FALSE@am__append_267 = \
+@HAVE_SYSV_COMPAT_FALSE@am__append_266 = \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvinit-path= \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvrcnd-path=
 
-@ENABLE_GTK_DOC_TRUE@am__append_268 = \
+@ENABLE_GTK_DOC_TRUE@am__append_267 = \
 @ENABLE_GTK_DOC_TRUE@	--enable-gtk-doc
 
 subdir = .
@@ -4299,8 +4293,8 @@
 	$(am__append_249) $(nodist_systemunit_DATA) \
 	$(nodist_userunit_DATA) $(pkgconfigdata_DATA) \
 	$(pkgconfiglib_DATA) $(nodist_polkitpolicy_DATA) \
-	$(am__append_258) defined undefined
-DISTCLEANFILES = $(am__append_257)
+	$(am__append_257) defined undefined
+DISTCLEANFILES = $(am__append_256)
 
 # Really, do not edit this file.
 EXTRA_DIST = units/getty@.service.m4 units/serial-getty@.service.m4 \
@@ -4500,10 +4494,10 @@
 	systemd-detect-virt-install-hook $(am__append_83) \
 	bus-proxyd-install-hook libsystemd-install-hook \
 	libudev-install-hook $(am__append_106) journal-install-hook \
-	$(am__append_255)
+	$(am__append_254)
 UNINSTALL_EXEC_HOOKS = $(am__append_84) bus-proxyd-uninstall-hook \
 	libsystemd-uninstall-hook libudev-uninstall-hook \
-	$(am__append_107) journal-uninstall-hook $(am__append_256)
+	$(am__append_107) journal-uninstall-hook $(am__append_255)
 INSTALL_DATA_HOOKS = units-install-hook hwdb-update-hook \
 	catalog-update-hook
 UNINSTALL_DATA_HOOKS = units-uninstall-hook catalog-remove-hook
@@ -4542,7 +4536,11 @@
 include_HEADERS = src/libudev/libudev.h
 noinst_DATA = $(am__append_53) $(am__append_55) $(am__append_91)
 pkgconfiglib_DATA = src/libsystemd/libsystemd.pc \
-	src/libudev/libudev.pc $(am__append_102) $(am__append_254)
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc src/libudev/libudev.pc \
+	$(am__append_102)
 polkitpolicy_in_in_files =  \
 	src/core/org.freedesktop.systemd1.policy.in.in
 polkitpolicy_in_files =  \
@@ -4663,7 +4661,7 @@
 # ------------------------------------------------------------------------------
 INSTALL_DIRS = $(am__append_76) $(sysconfdir)/udev/rules.d \
 	$(sysconfdir)/udev/hwdb.d $(am__append_133) $(am__append_189) \
-	$(am__append_242) $(am__append_265) \
+	$(am__append_242) $(am__append_264) \
 	$(prefix)/lib/modules-load.d $(sysconfdir)/modules-load.d \
 	$(prefix)/lib/systemd/network $(sysconfdir)/systemd/network \
 	$(prefix)/lib/sysctl.d $(sysconfdir)/sysctl.d \
@@ -4674,11 +4672,11 @@
 	$(pkgsysconfdir)/system/getty.target.wants \
 	$(pkgsysconfdir)/user $(dbussessionservicedir) \
 	$(sysconfdir)/xdg/systemd
-RUNLEVEL1_TARGET_WANTS = $(am__append_259)
-RUNLEVEL2_TARGET_WANTS = $(am__append_260)
-RUNLEVEL3_TARGET_WANTS = $(am__append_261)
-RUNLEVEL4_TARGET_WANTS = $(am__append_262)
-RUNLEVEL5_TARGET_WANTS = $(am__append_263)
+RUNLEVEL1_TARGET_WANTS = $(am__append_258)
+RUNLEVEL2_TARGET_WANTS = $(am__append_259)
+RUNLEVEL3_TARGET_WANTS = $(am__append_260)
+RUNLEVEL4_TARGET_WANTS = $(am__append_261)
+RUNLEVEL5_TARGET_WANTS = $(am__append_262)
 SHUTDOWN_TARGET_WANTS = 
 LOCAL_FS_TARGET_WANTS = systemd-remount-fs.service tmp.mount
 MULTI_USER_TARGET_WANTS = $(am__append_243) getty.target \
@@ -4704,7 +4702,7 @@
 USER_BUSNAMES_TARGET_WANTS = 
 SYSTEM_UNIT_ALIASES = $(am__append_164) $(am__append_177) \
 	$(am__append_190) $(am__append_211) $(am__append_244) \
-	$(am__append_264) graphical.target default.target \
+	$(am__append_263) graphical.target default.target \
 	reboot.target ctrl-alt-del.target getty@.service \
 	autovt@.service
 USER_UNIT_ALIASES = $(systemunitdir)/shutdown.target shutdown.target \
@@ -7633,8 +7631,8 @@
 	--with-pamlibdir=$$dc_install_base/$(pamlibdir) \
 	--with-pamconfdir=$$dc_install_base/$(pamconfdir) \
 	--with-rootprefix=$$dc_install_base --disable-split-usr \
-	--enable-kdbus --enable-compat-libs $(am__append_266) \
-	$(am__append_267) $(am__append_268)
+	--enable-kdbus --enable-compat-libs $(am__append_265) \
+	$(am__append_266) $(am__append_267)
 www_target = www.freedesktop.org:/srv/www.freedesktop.org/www/software/systemd
 OBJECT_VARIABLES := $(filter %_OBJECTS,$(.VARIABLES))
 ALL_OBJECTS := $(foreach v,$(OBJECT_VARIABLES),$($(v)))
